Index: admin/media.php
===================================================================
--- admin/media.php	(revision 2021)
+++ admin/media.php	(revision 1855)
@@ -30,6 +30,6 @@
 $dir = null;
 
-$page = !empty($_GET['page']) ? max(1,(integer) $_GET['page']) : 1;
-$nb_per_page = ((integer) $core->auth->user_prefs->interface->media_by_page ? (integer) $core->auth->user_prefs->interface->media_by_page : 30);
+$page = !empty($_GET['page']) ? $_GET['page'] : 1;
+$nb_per_page =  30;
 
 # We are on home not comming from media manager
@@ -301,6 +301,6 @@
 }
 if ($popup) {
-	echo '<div class="info"><p>'.sprintf(__('Choose a file to insert into entry by clicking on %s.'),
-		'<img src="images/plus.png" alt="'.__('Attach this file to entry').'" />').'</p></div>';
+	echo '<p class="form-note info">'.sprintf(__('Choose a file to insert into entry by clicking on %s.'),
+		'<img src="images/plus.png" alt="'.__('Attach this file to entry').'" />').'</p>';
 }
 
@@ -310,11 +310,11 @@
 if (count($items) == 0)
 {
-	echo 
-	'<p>'.__('No file.').'</p>'.
-	'<div class="files-group"></div>'; // need for jsUpload to append new media 
+	echo '<p>'.__('No file.').'</p>';
 }
 else
 {
-	$pager = new dcPager($page,count($items),$nb_per_page,10);
+	$pager = new pager($page,count($items),$nb_per_page,10);
+	$pager->html_prev = __($pager->html_prev);
+	$pager->html_next = __($pager->html_next);
 	
 	echo
@@ -326,5 +326,6 @@
 	'<input type="submit" value="'.__('Sort').'" /></p>'.
 	'</form>'.
-	$pager->getLinks();
+	
+	'<p class="pagination">'.__('Page(s)').' : '.$pager->getLinks().'</p>';
 
 	$dgroup = '';
@@ -340,7 +341,8 @@
 	echo 
 		($dgroup != '' ? '<div class="folders-group">'.$dgroup.'</div>' : '').
-		'<div class="files-group">'.$fgroup.'</div>';
-	
-	echo $pager->getLinks();
+		($fgroup != '' ? '<div class="files-group">'.$fgroup.'</div>' : '');
+	
+	echo
+	'<p class="clear pagination">'.__('Page(s)').' : '.$pager->getLinks().'</p>';
 }
 if (!isset($pager)) {
@@ -351,12 +353,61 @@
 '</div>';
 
-echo
-'<div class="clearfix"><p class="info">'.sprintf(__('Current settings for medias and images are defined in %s'),
-'<a href="blog_pref.php#medias-settings">'.__('Blog parameters').'</a>').'</p></div>';
-
-if ($core_media_writable || $core_media_archivable) {
-	echo
-	'<div class="vertical-separator">'.
-	'<h3 class="out-of-screen-if-js">'.sprintf(__('In %s:'),($d == '' ? '“'.__('Media manager').'”' : '“'.$d.'”')).'</h3>';	
+if ($core_media_writable)
+{
+	echo 
+	'<h3 class="hidden">'.sprintf(__('In %s:'),($d == '' ? '“'.__('Media manager').'”' : '“'.$d.'”')).'</h3>'.
+	'<div class="two-boxes odd fieldset">';
+	
+	if ($user_ui_enhanceduploader) {
+		echo
+		'<div class="enhanced_uploader">';
+	} else {
+		echo
+		'<div>';
+	}
+
+	echo
+	'<h4>'.__('Add files').'</h4>'.
+	'<p>'.__('Please take care to publish media that you own and that are not protected by copyright.').'</p>'.
+	'<form id="fileupload" action="'.html::escapeURL($page_url).'" method="post" enctype="multipart/form-data" aria-disabled="false">'.
+	'<p>'.form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).
+	$core->formNonce().'</p>'.
+	'<div class="fileupload-ctrl"><p class="queue-message"></p><ul class="files"></ul></div>';
+
+	echo
+	'<div class="fileupload-buttonbar clear">';
+
+	echo
+	'<p><label for="upfile">'.'<span class="add-label one-file">'.__('Choose file').'</span>'.'</label>'.
+	'<button class="button choose_files">'.__('Choose files').'</button>'.
+	'<input type="file" id="upfile" name="upfile[]"'.($user_ui_enhanceduploader?' multiple="mutiple"':'').' data-url="'.html::escapeURL($page_url).'" /></p>';
+
+	echo
+	'<p class="max-sizer form-note">&nbsp;'.__('Maximum file size allowed:').' '.files::size(DC_MAX_UPLOAD_SIZE).'</p>';
+
+	echo
+	'<p class="one-file"><label for="upfiletitle">'.__('Title:').'</label>'.form::field(array('upfiletitle','upfiletitle'),35,255).'</p>'.
+	'<p class="one-file"><label for="upfilepriv" class="classic">'.__('Private').'</label> '.
+	form::checkbox(array('upfilepriv','upfilepriv'),1).'</p>';
+
+
+
+	if (!$user_ui_enhanceduploader) {
+		echo
+		'<p class="one-file form-help info">'.__('To send several files at the same time, you can activate the enhanced uploader in').
+		' <a href="preferences.php?tab=user-options">'.__('My preferences').'</a></p>';
+	}
+
+	echo
+	'<p class="clear"><button class="button clean">'.__('Refresh').'</button>'.
+	'<input class="button cancel one-file" type="reset" value="'.__('Clear all').'"/>'.
+	'<input class="button start" type="submit" value="'.__('Upload').'"/></p>'.
+	'</div>';
+
+	echo
+	'<p style="clear:both;">'.form::hidden(array('d'),$d).'</p>'.
+	'</form>'.
+	'</div>'.
+	'</div>';
 }
 
@@ -365,6 +416,6 @@
 
 if ($core_media_writable || $core_media_archivable) {
-	echo 
-	'<div class="two-boxes odd">';
+
+	echo '<div class="two-boxes even fieldset">';
 
 	# Create directory
@@ -372,7 +423,7 @@
 	{
 		echo
-		'<form action="'.html::escapeURL($page_url).'" method="post" class="fieldset">'.
+		'<form action="'.html::escapeURL($page_url).'" method="post">'.
 		'<div id="new-dir-f">'.
-		'<h4 class="pretty-title">'.__('Create new directory').'</h4>'.
+		'<h4>'.__('Create new directory').'</h4>'.
 		$core->formNonce().
 		'<p><label for="newdir">'.__('Directory Name:').'</label>'.
@@ -388,68 +439,11 @@
 	{
 		echo
-		'<div class="fieldset">'.
-		'<h4 class="pretty-title">'.sprintf(__('Backup content of %s'),($d == '' ? '“'.__('Media manager').'”' : '“'.$d.'”')).'</h4>'.
+		'<h4>'.__('Backup content').'</h4>'.
+		'<p>'.__('Compress this directory with its content as a zip file and download it.').'</p>'.
 		'<p><a class="button submit" href="'.html::escapeURL($page_url).'&amp;zipdl=1">'.
-		__('Download zip file').'</a></p>'.
-		'</div>';
-	}
-
-	echo 
-	'</div>';
-}
-
-if ($core_media_writable)
-{
-	echo
-	'<div class="two-boxes fieldset">';	
-	if ($user_ui_enhanceduploader) {
-		echo
-		'<div class="enhanced_uploader">';
-	} else {
-		echo
-		'<div>';
-	}
-
-	echo
-	'<h4>'.__('Add files').'</h4>'.
-	'<p>'.__('Please take care to publish media that you own and that are not protected by copyright.').'</p>'.
-	'<form id="fileupload" action="'.html::escapeURL($page_url).'" method="post" enctype="multipart/form-data" aria-disabled="false">'.
-	'<p>'.form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).
-	$core->formNonce().'</p>'.
-	'<div class="fileupload-ctrl"><p class="queue-message"></p><ul class="files"></ul></div>';
-
-	echo
-	'<div class="fileupload-buttonbar clear">';
-
-	echo
-	'<p><label for="upfile">'.'<span class="add-label one-file">'.__('Choose file').'</span>'.'</label>'.
-	'<button class="button choose_files">'.__('Choose files').'</button>'.
-	'<input type="file" id="upfile" name="upfile[]"'.($user_ui_enhanceduploader?' multiple="mutiple"':'').' data-url="'.html::escapeURL($page_url).'" /></p>';
-
-	echo
-	'<p class="max-sizer form-note">&nbsp;'.__('Maximum file size allowed:').' '.files::size(DC_MAX_UPLOAD_SIZE).'</p>';
-
-	echo
-	'<p class="one-file"><label for="upfiletitle">'.__('Title:').'</label>'.form::field(array('upfiletitle','upfiletitle'),35,255).'</p>'.
-	'<p class="one-file"><label for="upfilepriv" class="classic">'.__('Private').'</label> '.
-	form::checkbox(array('upfilepriv','upfilepriv'),1).'</p>';
-
-	if (!$user_ui_enhanceduploader) {
-		echo
-		'<p class="one-file form-help info">'.__('To send several files at the same time, you can activate the enhanced uploader in').
-		' <a href="preferences.php?tab=user-options">'.__('My preferences').'</a></p>';
-	}
-
-	echo
-	'<p class="clear"><button class="button clean">'.__('Refresh').'</button>'.
-	'<input class="button cancel one-file" type="reset" value="'.__('Clear all').'"/>'.
-	'<input class="button start" type="submit" value="'.__('Upload').'"/></p>'.
-	'</div>';
-
-	echo
-	'<p style="clear:both;">'.form::hidden(array('d'),$d).'</p>'.
-	'</form>'.
-	'</div>'.
-	'</div>';
+		__('Download').'</a></p>';
+	}
+
+	echo '</div>';
 }
 
@@ -463,9 +457,4 @@
 '</div>'.
 '</form>';
-
-if ($core_media_writable || $core_media_archivable) {
-	echo 
-	'</div>';
-}
 
 call_user_func($close_f);
Index: admin/media_item.php
===================================================================
--- admin/media_item.php	(revision 2003)
+++ admin/media_item.php	(revision 1853)
@@ -175,5 +175,5 @@
 	$starting_scripts.
 	dcPage::jsDatePicker().
-	($popup ? dcPage::jsPageTabs($tab) : ''),
+	dcPage::jsPageTabs($tab),
 	dcPage::breadcrumb(
 		array(
@@ -203,5 +203,4 @@
 	echo
 	'<div id="media-insert" class="multi-part" title="'.__('Insert media item').'">'.
-	'<h3>'.__('Insert media item').'</h3>'.
 	'<form id="media-insert-form" action="" method="get">';
 	
@@ -344,11 +343,6 @@
 }
 
-if ($popup) {
-	echo
-	'<div class="multi-part" title="'.__('Media details').'" id="media-details-tab">';
-} else {
-	echo '<h3 class="out-of-screen-if-js">'.__('Media details').'</h3>';
-}
 echo
+'<div class="multi-part" title="'.__('Media details').'" id="media-details-tab">'.
 '<p id="media-icon"><img src="'.$file->media_icon.'?'.time()*rand().'" alt="" /></p>';
 
@@ -584,9 +578,6 @@
 
 echo
+'</div>'.
 '</div>';
-if ($popup) {
-	echo
-	'</div>';
-}
 
 call_user_func($close_f);
Index: admin/plugins.php
===================================================================
--- admin/plugins.php	(revision 2007)
+++ admin/plugins.php	(revision 1622)
@@ -252,6 +252,5 @@
 	echo
 	'<h3>'.__('Activated plugins').'</h3>'.
-	'<div class="table-outer clear">'.
-	'<table class="plugins"><tr>'.
+	'<table class="clear plugins"><tr>'.
 	'<th>'.__('Plugin').'</th>'.
 	'<th class="nowrap">'.__('Version').'</th>'.
@@ -297,5 +296,5 @@
 	}
 	echo
-	'</table></div>';
+	'</table>';
 }
 
@@ -306,6 +305,5 @@
 	echo
 	'<h3>'.__('Deactivated plugins').'</h3>'.
-	'<div class="clear table-outer">'.
-	'<table class="plugins"><tr>'.
+	'<table class="clear plugins"><tr>'.
 	'<th>'.__('Plugin').'</th>'.
 	'<th class="nowrap">'.__('Action').'</th>'.
@@ -341,5 +339,5 @@
 	}
 	echo
-	'</table></div>';
+	'</table>';
 }
 
Index: admin/popup_posts.php
===================================================================
--- admin/popup_posts.php	(revision 1912)
+++ admin/popup_posts.php	(revision 1399)
@@ -17,5 +17,5 @@
 $q = !empty($_GET['q']) ? $_GET['q'] : null;
 
-$page = !empty($_GET['page']) ? max(1,(integer) $_GET['page']) : 1;
+$page = !empty($_GET['page']) ? (integer) $_GET['page'] : 1;
 $nb_per_page =  10;
 
Index: admin/post.php
===================================================================
--- admin/post.php	(revision 2002)
+++ admin/post.php	(revision 1831)
@@ -447,10 +447,10 @@
 					'</p>',
 				'post_lang' =>
-					'<p><label for="post_lang" class="ib">'.__('Entry language').'</label>'.
+					'<p><label for="post_lang" class="ib">'.__('Entry lang').'</label>'.
 					form::combo('post_lang',$lang_combo,$post_lang).
 					'</p>',
 				'post_format' =>
 					'<div>'.
-					'<h5 id="label_format"><label for="post_format" class="ib">'.__('Text formatting').'</label></h5>'.
+					'<h5 id="label_format"><label for="post_format" class="ib">'.__('Text formating').'</label></h5>'.
 					'<p>'.form::combo('post_format',$formaters_combo,$post_format,'maximal').
 					'</p>'.
@@ -459,5 +459,5 @@
 					__('Convert to XHTML').'</a></p></div>')),
 		'metas-box' => array(
-			'title' => __('Filing'),
+			'title' => __('Ordering'),
 			'items' => array(
 				'post_selected' => 
@@ -466,7 +466,5 @@
 					__('Selected entry').'</label></p>',
 				'cat_id' =>
-					'<div>'.
-					'<h5 id="label_cat_id">'.__('Category').'</h5>'.
-					'<p><label for="cat_id">'.__('Category:').'</label>'.
+					'<p><label for="cat_id" class="ib">'.__('Category').'</label>'.
 					form::combo('cat_id',$categories_combo,$cat_id,'maximal').
 					'</p>'.
@@ -480,6 +478,5 @@
 						'</label></p>'.
 						'</div>'
-					: '').
-					'</div>')),
+					: ''))),
 		'options-box' => array(
 			'title' => __('Options'),
@@ -487,5 +484,5 @@
 				'post_open_comment_tb' =>
 					'<div>'.
-					'<h5 id="label_comment_tb">'.__('Comments and trackbacks list').'</h5>'.
+					'<h5 id="label_comment_tb">'.__('Commentaires et rétroliens').'</h5>'.
 					'<p><label for="post_open_comment" class="classic">'.
 					form::checkbox('post_open_comment',1,$post_open_comment).' '.
@@ -845,5 +842,4 @@
 {
 	echo
-	'<div class="table-outer">'.
 	'<table class="comments-list"><tr>'.
 	'<th colspan="2" class="first">'.__('Author').'</th>'.
@@ -890,5 +886,5 @@
 	}
 	
-	echo '</table></div>';
+	echo '</table>';
 }
 
Index: admin/posts.php
===================================================================
--- admin/posts.php	(revision 1999)
+++ admin/posts.php	(revision 1806)
@@ -121,5 +121,5 @@
 $show_filters = false;
 
-$page = !empty($_GET['page']) ? max(1,(integer) $_GET['page']) : 1;
+$page = !empty($_GET['page']) ? (integer) $_GET['page'] : 1;
 $nb_per_page =  30;
 
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 2021)
+++ admin/preferences.php	(revision 1845)
@@ -43,5 +43,4 @@
 $user_ui_iconset = @$core->auth->user_prefs->interface->iconset;
 $user_ui_nofavmenu = $core->auth->user_prefs->interface->nofavmenu;
-$user_ui_media_by_page = ($core->auth->user_prefs->interface->media_by_page ? $core->auth->user_prefs->interface->media_by_page : 30);
 
 $default_tab = !empty($_GET['tab']) ? html::escapeHTML($_GET['tab']) : 'user-profile';
@@ -161,4 +160,7 @@
 		
 		# Update user prefs
+		$core->auth->user_prefs->dashboard->put('doclinks',!empty($_POST['user_dm_doclinks']),'boolean');
+		$core->auth->user_prefs->dashboard->put('dcnews',!empty($_POST['user_dm_dcnews']),'boolean');
+		$core->auth->user_prefs->dashboard->put('quickentry',!empty($_POST['user_dm_quickentry']),'boolean');
 		$core->auth->user_prefs->accessibility->put('nodragdrop',!empty($_POST['user_acc_nodragdrop']),'boolean');
 		$core->auth->user_prefs->interface->put('enhanceduploader',!empty($_POST['user_ui_enhanceduploader']),'boolean');
@@ -167,5 +169,4 @@
 			$core->auth->user_prefs->interface->put('hide_std_favicon',!empty($_POST['user_ui_hide_std_favicon']),'boolean',null,true,true);
 		}
-		$core->auth->user_prefs->interface->put('media_by_page',(integer)$_POST['user_ui_media_by_page'],'integer');
 		
 		# Udate user
@@ -489,8 +490,4 @@
 '<p class="clear form-note">'.__('If checked, numeric fields will allow to type the elements\' ordering number.').'</p>';
 
-echo
-'<p><label for="user_ui_media_by_page" class="classic">'.__('Number of media displayed per page:').'</label> '.
-form::field('user_ui_media_by_page',5,3,(integer) $user_ui_media_by_page).'</p>';
-
 if ($core->auth->isSuperAdmin()) {
 	echo
@@ -541,5 +538,5 @@
 echo '<div class="multi-part" id="user-favorites" title="'.__('My dashboard').'">';
 $ws = $core->auth->user_prefs->addWorkspace('favorites');
-echo '<h3>'.__('My dashboard').'</h3>';
+echo '<h3>'.__('Mon tableau de bord').'</h3>';
 
 echo '<form action="preferences.php" method="post" id="favs-form" class="two-boxes">';
@@ -579,12 +576,11 @@
 		__('Are you sure you want to remove selected favorites?')).'\');" /></p>'.
 
-	($core->auth->isSuperAdmin() ?
+	($core->auth->isSuperAdmin() ? 
 		'<div class="info">'.
 		'<p>'.__('If you are a super administrator, you may define this set of favorites to be used by default on all blogs of this installation.').'</p>'.
-		'<p><input class="reset" type="submit" name="replace" value="'.__('Define as default favorites').'" />'.'</p>'.
-		'</div>'
-		:
+		'<p><input class="reset" type="submit" name="replace" value="'.__('Define as default favorites').'" />' : 
 		'').
-
+		'</p>'.
+		'</div>'.
 	'</div>';
 } else {
@@ -660,5 +656,5 @@
 		'</div>';
 } else {
-	echo form::hidden('user_ui_iconset','');
+	form::hidden('user_ui_iconset','');
 }
 
Index: admin/search.php
===================================================================
--- admin/search.php	(revision 1912)
+++ admin/search.php	(revision 1589)
@@ -23,5 +23,5 @@
 $starting_scripts = '';
 
-$page = !empty($_GET['page']) ? max(1,(integer) $_GET['page']) : 1;
+$page = !empty($_GET['page']) ? (integer) $_GET['page'] : 1;
 $nb_per_page =  30;
 
Index: admin/users.php
===================================================================
--- admin/users.php	(revision 1912)
+++ admin/users.php	(revision 1609)
@@ -40,5 +40,5 @@
 
 #?Get users
-$page = !empty($_GET['page']) ? max(1,(integer) $_GET['page']) : 1;
+$page = !empty($_GET['page']) ? $_GET['page'] : 1;
 $nb_per_page =  30;
 
Index: admin/users_actions.php
===================================================================
--- admin/users_actions.php	(revision 2002)
+++ admin/users_actions.php	(revision 1620)
@@ -72,5 +72,5 @@
 			{
 				if ($u == $core->auth->userID()) {
-					throw new Exception(__('You cannot delete yourself.'));
+					throw new Exception(__('Not delete yourself.'));
 				}
 				
@@ -210,6 +210,5 @@
 		echo
 		'<form action="users_actions.php" method="post" id="form-blogs">'.
-		'<table class="table-outer clear">'.
-		'<table><tr>'.
+		'<table class="clear"><tr>'.
 		'<th class="nowrap" colspan="2">'.__('Blog ID').'</th>'.
 		'<th class="nowrap">'.__('Blog name').'</th>'.
@@ -236,5 +235,5 @@
 		
 		echo
-		'</table></div>'.
+		'</table>'.
 		'<p class="checkboxes-helpers"></p>'.
 		'<p><input type="submit" value="'.__('Set permissions').'" />'.
@@ -288,5 +287,5 @@
 	'<div class="fieldset">'.
 	'<h3>'.__('Validate permissions').'</h3>'.
-	'<p><label for="your_pwd" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Your password:').'</label>'.
+	'<p><label for="your_pwd">'.__('Your password:').'</label>'.
 	form::password('your_pwd',20,255).'</p>'.
 	'<p><input type="submit" accesskey="s" value="'.__('Save').'" />'.
Index: inc/admin/actions/class.dcaction.php
===================================================================
--- inc/admin/actions/class.dcaction.php	(revision 2015)
+++ inc/admin/actions/class.dcaction.php	(revision 1905)
@@ -137,5 +137,5 @@
 	 public function getIDsHidden() {
 		$ret = '';
-		foreach  ($this->entries as $id=>$v) {
+		foreach  ($this->entries as $id->$v) {
 			$ret .= form::hidden($this->field_entries.'[]',$id);
 		}
Index: inc/admin/actions/class.dcactionposts.php
===================================================================
--- inc/admin/actions/class.dcactionposts.php	(revision 2001)
+++ inc/admin/actions/class.dcactionposts.php	(revision 1903)
@@ -349,5 +349,5 @@
 			$ap->getCheckboxes().
 			
-			'<p><label for="new_lang" class="classic">'.__('Entry language:').'</label> '.
+			'<p><label for="new_lang" class="classic">'.__('Entry lang:').'</label> '.
 			form::combo('new_lang',$lang_combo,'');
 			
Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 2034)
+++ inc/admin/lib.dc.page.php	(revision 1867)
@@ -73,9 +73,10 @@
 			}
 			$blog_box =
-			'<p><label for="switchblog" class="classic">'.
+			'<p><label for="switchblog" class="classic nomobile">'.
 			__('Blogs:').'</label> '.
 			$core->formNonce().
 			form::combo('switchblog',$blogs,$core->blog->id).
-			'<input type="submit" value="'.__('ok').'" class="hidden-if-js" /></p>';
+			'</p>'.
+			'<noscript><p><input type="submit" value="'.__('ok').'" /></p></noscript>';
 		}
 
@@ -124,4 +125,5 @@
 		($safe_mode ? ' safe-mode' : '').'" class="no-js">'."\n".
 
+		'<div id="header">'.
 		'<ul id="prelude">'.
 		'<li><a href="#content">'.__('Go to the content').'</a></li>'.
@@ -129,29 +131,29 @@
 		'<li><a href="#qx">'.__('Go to search').'</a></li>'.
 		'</ul>'."\n".
-		'<div id="header">'.
-		'<h1><a href="index.php"><span class="hidden">'.DC_VENDOR_NAME.'</span></a></h1>'."\n";
-
-		echo
-		'<form action="index.php" method="post" id="top-info-blog">'.
+		'<div id="top"><h1><a href="index.php">'.DC_VENDOR_NAME.'</a></h1></div>'."\n";
+
+		echo
+		'<div id="info-boxes">'.
+		'<div id="info-box1">'.
+		'<form action="index.php" method="post">'.
 		$blog_box.
-		'<p><a href="'.$core->blog->url.'" onclick="window.open(this.href);return false;" title="'.__('Go to site').
-		' ('.__('new window').')'.'">'.__('Go to site').'<img src="images/outgoing.png" alt="" /></a>'.
+		'<p class="nomobile"><a href="'.$core->blog->url.'" onclick="window.open(this.href);return false;" title="'.__('Go to site').' ('.__('new window').')'.'">'.__('Go to site').'<img src="images/outgoing.png" alt="" /></a>'.
 		'</p></form>'.
-		'<ul id="top-info-user">'.
-		'<li><a class="'.(preg_match('/index.php$/',$_SERVER['REQUEST_URI']) ? ' active' : '').'" href="index.php">'.__('My dashboard').'</a></li>'.
-		'<li><a class="smallscreen'.(preg_match('/preferences.php(\?.*)?$/',$_SERVER['REQUEST_URI']) ? ' active' : '').
-		'" href="preferences.php">'.__('My preferences').'</a></li>'.
-		'<li><a href="index.php?logout=1" class="logout"><span class="nomobile">'.sprintf(__('Logout %s'),$core->auth->userID()).
-		'</span><img src="images/logout.png" alt="" /></a></li>'.
-		'</ul>'.
-		'</div>'; // end header
+		'</div>'.
+		'<div id="info-box2">'.
+		'<a class="smallscreen'.(preg_match('/index.php$/',$_SERVER['REQUEST_URI']) ? ' active' : '').'" href="index.php">'.__('My dashboard').'</a>'.
+		'<span class="smallscreen"> | </span><a class="smallscreen'.(preg_match('/preferences.php(\?.*)?$/',$_SERVER['REQUEST_URI']) ? ' active' : '').'" href="preferences.php">'.__('My preferences').'</a>'.
+		'<span class="smallscreen"> | </span><a href="index.php?logout=1" class="logout">'.sprintf(__('Logout %s'),$core->auth->userID()).'<img src="images/logout.png" alt="" /></a>'.
+		'</div>'.
+		'</div>'.
+		'</div>';
 
 		echo
 		'<div id="wrapper" class="clearfix">'."\n".
-		'<div class="hidden-if-no-js collapser-box"><a href="#" id="collapser">'.
+		'<div id="main">'."\n".
+		'<div class="hidden-if-no-js"><a href="#" id="collapser">'.
 		'<img class="collapse-mm" src="images/collapser-hide.png" alt="'.__('Hide main menu').'" />'.
 		'<img class="expand-mm" src="images/collapser-show.png" alt="'.__('Show main menu').'" />'.
 		'</a></div>'.
-		'<div id="main">'."\n".
 		'<div id="content" class="clearfix">'."\n";
 
@@ -180,10 +182,4 @@
 		global $core;
 
-		if (!$GLOBALS['__resources']['ctxhelp']) {
-			// Displau global help link in any contextual help displayed
-			echo
-			'<p id="help-button"><a href="help.php">'.__('Need help?').'</a></p>';
-		}
-
 		$menu =& $GLOBALS['_menu'];
 
@@ -214,8 +210,7 @@
 		echo
 		'</div>'."\n".		// End of #main-menu
-		"</div>\n";		// End of #wrapper
-
-		echo
+
 		'<div id="footer">'.
+		'<span class="helplink"><a href="help.php">'.__('Global help').'</a></span> '.
 		'<a href="http://dotclear.org/" title="'.$text.'"><img src="style/dc_logos/w-dotclear90.png" alt="'.$text.'" /></a></div>'."\n".
 		'<!-- '."\n".
@@ -226,5 +221,6 @@
 '      \__________"|'."\n".
 '    ~^~^~^~^~^~^~^~^~^~'."\n".
-' -->'."\n";
+' -->'."\n".
+		"</div>\n";		// End of #wrapper
 
 		if (defined('DC_DEV') && DC_DEV === true) {
@@ -340,10 +336,10 @@
 	public static function success($msg,$timestamp=true,$div=false,$echo=true)
 	{
-		return self::message($msg,$timestamp,$div,$echo,"success");
+		self::message($msg,$timestamp,$div,$echo,"success");
 	}
 
 	public static function warning($msg,$timestamp=true,$div=false,$echo=true)
 	{
-		return self::message($msg,$timestamp,$div,$echo,"warning-msg");
+		self::message($msg,$timestamp,$div,$echo,"warning-msg");
 	}
 
@@ -442,7 +438,4 @@
 		}
 
-		// Set contextual help global flag
-		$GLOBALS['__resources']['ctxhelp'] = true;
-
 		echo
 		'<div id="help"><hr /><div class="help-content clear"><h3>'.__('Help about this page').'</h3>'.
@@ -452,5 +445,5 @@
 		'<p>'.
 		sprintf(__('See also %s'),sprintf('<a href="help.php">%s</a>',__('the global help'))).
-		'.</p>'.
+		'</p>'.
 		'</div></div>';
 	}
@@ -523,5 +516,5 @@
 
 		self::jsVar('dotclear.msg.help',
-			__('Need help?')).
+			__('Help about this page')).
 		self::jsVar('dotclear.msg.help_hide',
 			__('Hide')).
@@ -649,10 +642,22 @@
 		'<script type="text/javascript">'."\n".
 		"//<![CDATA[\n".
-		'$(function() {'."\n".
-		'$.pageTabs(".$default.");'."\n".
-		'});'."\n".
+		"\$(function() {\n".
+			"	pagetabs = \$.pageTabs(".$default.");\n".
+			"});\n".
+"\n//]]>\n".
+"</script>\n".
+		"<!--[if lt IE 8]>\n".
+		self::jsLoad('js/ie7/ie7-hashchange.js').
+		'<script type="text/javascript">'."\n".
+		"//<![CDATA[\n".
+		"\$(function() {".
+			"\$(window).hashchange( function(){".
+				"pagetabs.showDiv(document.location.hash.split('#').join(''));".
+			"});".
+		"});".
 		"\n//]]>\n".
-		"</script>\n";
-	}
+		"</script>\n".
+		"<![endif]-->\n";
+}
 
 public static function jsModal()
